aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlessandro Barbieri <lssndrbarbieri@gmail.com>2022-05-06 18:25:31 +0200
committerAlessandro Barbieri <lssndrbarbieri@gmail.com>2022-05-06 18:25:31 +0200
commitc54bb93fd56acecbee47e0126019df980000a983 (patch)
tree25058490086d9e4ffac32a1cd7452b05b5dc2f53
parentdev-cpp/vexcl: add 1.4.3, drop 1.4.2-r2 (diff)
downloadguru-c54bb93f.tar.gz
guru-c54bb93f.tar.bz2
guru-c54bb93f.zip
octaveforge.eclass: install arch dependent files in libdir
Signed-off-by: Alessandro Barbieri <lssndrbarbieri@gmail.com>
-rw-r--r--eclass/octaveforge.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/octaveforge.eclass b/eclass/octaveforge.eclass
index 7f5f38dee9..022d89b33b 100644
--- a/eclass/octaveforge.eclass
+++ b/eclass/octaveforge.eclass
@@ -125,12 +125,12 @@ octaveforge_src_install() {
"
oct_pkgdir=$(octavecommand "${cmd}${stripcmd}" || die)
else
- cmd="disp(fullfile(OCTAVE_HOME(),'share','octave'));"
+ cmd="disp(fullfile(__octave_config_info__('sharedir'),'octave'));"
shareprefix=${DESTDIR}/$(octavecommand "${cmd}" || die)
- cmd="disp(fullfile(__octave_config_info__('libexecdir'),'octave'));"
- libexecprefix=${DESTDIR}/$(octavecommand "${cmd}" || die)
+ cmd="disp(fullfile(__octave_config_info__('libdir'),'octave'));"
+ libprefix=${DESTDIR}/$(octavecommand "${cmd}" || die)
octprefix="${shareprefix}/packages" || die
- archprefix="${libexecprefix}/packages" || die
+ archprefix="${libprefix}/packages" || die
if [[ ! -e "${octprefix}" ]]; then
mkdir -p "${octprefix}" || die
fi